pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]


I'm trying to build several packages on OpenSolaris 2008.11. Many have built without problem, but a few have bombed grumbling that I need to add c to USE_LANGUAGES in the package Makefile. Today's failure os from converters/p5-MIME-Base64; the errors are:

  => Bootstrap dependency digest>=20010302: found digest-20080510
  => Bootstrap dependency tnftp-[0-9]*: found tnftp-20070806
  ===> Checking for vulnerabilities in p5-MIME-Base64-3.07
  ===> Building for p5-MIME-Base64-3.07
gcc -c -D_REENTRANT -fno-strict-aliasing -pipe -Wdeclaration- after-statement I/usr/pkg/include -DPERL_USE_SAFE_PUTENV -O -I/usr/pkg/ include -I/usr/include -I/usr/pkg/include -I/usr/include - DVERSION=\"3.07\" -DXS_VERSION=\"3.07\" -fPIC "-I/usr/pkg/lib/ perl5/5.8.0/i386-solaris-thread-multi/CORE" Base64.c
  ERROR: To use this compiler, you have to add c to
  ERROR: USE_LANGUAGES in the package Makefile.

Any thoughts?

Ed Gould            
s/v A Cappella                      Valiant 42

Home | Main Index | Thread Index | Old Index